> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar grupos do Enterprise

> Listar grupos de IdP neste Enterprise

Requer uma chave de API pessoal de um administrador Enterprise.

Retorna uma lista paginada de todos os grupos de IdP (Identity Provider) na sua conta Enterprise, incluindo suas associações a organizações e papéis.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/groups
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/groups:
    get:
      tags:
        - groups
      summary: Endpoint de grupos da Enterprise
      operationId: enterprise_groups_endpoint_v2_enterprise_groups_get
      parameters:
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_EnterpriseGroupResponse_
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de Validação
components:
  schemas:
    PaginatedResponse_EnterpriseGroupResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/EnterpriseGroupResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[EnterpriseGroupResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EnterpriseGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_count:
          title: Org Count
          type: integer
        role_by_org_id:
          additionalProperties:
            type: string
          title: Role By Org Id
          type: object
      required:
        - group_name
        - org_count
        - role_by_org_id
      title: EnterpriseGroupResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````